# setUrl

abstract fun setUrl(url: URI)

Sets the base URL of this repository.

#### Since

4.0

#### Parameters

url

The base URL.

abstract fun setUrl(url: Any)

Sets the base URL of this repository. The provided value is evaluated as per uri. This means, for example, you can pass in a File object or a relative path which is evaluated relative to the project directory. File are resolved based on the supplied URL and the configured layout for this repository.

#### Parameters

url

The base URL.